Bug 60017 - SB AWE64 ISA PNP still broken in RH7.2
SB AWE64 ISA PNP still broken in RH7.2
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-18 22:48 EST by stuart
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stuart 2002-02-18 22:48:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-21 i586)

Description of problem:
See my comment on bug 26789.  SB AWE64 ISA PNP works
great in RH6.2, but breaks with the 2.4 kernels.
The problem does not seems to be in sndconfig. When
I configure the card via isapnp, everything but
the raw audio works.  Loading sb.o gets a
kernel: sb: dsp reset failed
error.
If I use options sb isapnp=1, it loads, but trying
to output sound results in 1 buffers worth of audio,
then garbage on /dev/ttyS1 (!)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Configure card with isapnptools
2.add options sb isapnp=0 io=xxx ... to match config
3.modprobe sb
4.change to options sb isapnp=1
5.rmmod -r sb awe_wave
6.modprobe sb
7.cat foo.au >/dev/dsp	

Additional info:

See bug #26789
Comment 1 Bugzilla owner 2004-09-30 11:39:23 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.